# List parameters List account parameters. For more information on account parameters, refer to the [account parameters guide](doc:account-parameters-reference-table). Account parameters are a subset of [program parameters](doc:program-parameters-reference-table). # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Account parameters", "description": "Endpoints to manage account parameters" } ], "components": { "parameters": { "AccountIdPath": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "schema": { "type": "integer", "format": "int64", "minimum": 1, "example": 123 } } }, "schemas": { "ParameterID": { "type": "integer", "format": "int64", "description": "Parameter ID. Parameter IDs can change depending on the environment and, consequently, are not listed in the [program parameters reference table](https://developers.pismo.io/pismo-docs/docs/program-parameters-reference-table). Use the [List program parameters](https://developers.pismo.io/pismo-docs/reference/programparameter) endpoint to get the IDs for your program/account parameters.\n", "example": 11 }, "ParameterID2": { "type": "integer", "format": "int64", "description": "Parameter ID specific to the program/account\n", "example": 11 }, "ParameterDescription": { "type": "string", "description": "Parameter description", "example": "Prepaid recharge rate" }, "ParameterName": { "type": "string", "description": "Parameter name", "example": "Prepaid rate" }, "ParameterScope": { "type": "string", "description": "Parameter scope", "example": "ACCOUNT", "enum": [ "ACCOUNT", "PROGRAM" ] }, "ParameterValidFrom": { "type": "string", "format": "date-time", "description": "Parameter start date. RFC 3339 format.", "example": "2021-10-21T00:00:00Z" }, "ParameterValidUntil": { "type": "string", "format": "date-time", "example": "2028-10-21T00:00:00Z", "description": "Parameter validation date. RFC 3339 format." }, "ParameterValue": { "type": "number", "format": "float", "description": "Parameter value", "example": 0.01 }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/accounts/{accountId}/parameters": { "get": { "operationId": "account-parameters-find", "summary": "List parameters", "description": "List account parameters. For more information on account parameters, refer to the [account parameters guide](https://developers.pismo.io/pismo-docs/docs/account-parameters-reference-table). Account parameters are a subset of [program parameters](https://developers.pismo.io/pismo-docs/docs/program-parameters-reference-table).\n", "tags": [ "Account parameters" ], "parameters": [ { "$ref": "#/components/parameters/AccountIdPath" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "properties": { "parameter_id": { "$ref": "#/components/schemas/ParameterID" }, "name": { "$ref": "#/components/schemas/ParameterName" }, "scope": { "$ref": "#/components/schemas/ParameterScope" }, "description": { "$ref": "#/components/schemas/ParameterDescription" }, "id": { "$ref": "#/components/schemas/ParameterID2" }, "valid_from": { "$ref": "#/components/schemas/ParameterValidFrom" }, "valid_until": { "$ref": "#/components/schemas/ParameterValidUntil" }, "value": { "$ref": "#/components/schemas/ParameterValue" } } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Internal server error" } } } } } } } } } } } ```